**`DHARMENDRA SINGH`[NAME]** | **`DHARAM1503@GMAIL.COM`[EMAILS_EMAIL]** |**` +44 7424 711 239`[PHONES_PHONE]** -NL- **`QUALIFICATIONS`[EDUCATION_HEADING]** -NL- PROFILE SUMMARY -NL- Master’s in computer -NL- 13 years of extensive IT experience in ecommerce domain currently working in -NL- application -NL- Wunderman Thompson Commerce as Lead Developer. I have developed a track -NL- record of contributing strong technical and client relationship skills. During this -NL- **`Bachelor’s in science`[EDUCATION_DEGREE]** (Math time, I have built up a broad technical knowledge and have worked for leading -NL- & Physics) -NL- retail and manufacturing clients like YOOX-NET-A-PORTER, DFS, Selfridges, -NL- Husqvarna Group, Parker Hannifin, Marks & Spencer, David's Bridal, Boots etc. I am -NL- AREA OF -NL- currently working in latest java technologies, automation testing frameworks, -NL- payment integrations, CI/CD tools which allows me to blend my knowledge, -NL- EXPERTISE -NL- experience and skills to deliver process excellence. -NL- Ecommerce -NL- **`IT SKILLS`[SKILLS_HEADING]** -NL- WebSphere Commerce -NL- Technologies: -NL- Server -NL- Pair programming -NL- ✓ Java -NL- ✓ Spring Boot -NL- ✓ Spring Batch -NL- ✓ Struts -NL- Behavior-driven -NL- ✓ Java Persistence API (JPA) -NL- ✓ Repository Pattern -NL- development -NL- ✓ Enterprise Java bean (EJB) -NL- ✓ WireMock -NL- ✓ Rest APIs -NL- ✓ Unix/Linux -NL- Caching -NL- ✓ WebSphere Commerce Server ✓ SOLR Search Engine -NL- ✓ Oracle -NL- ✓ DB2 -NL- Search Engine Optimization -NL- ✓ SQL -NL- ✓ AWS -NL- Agile Delivery Approach -NL- ✓ Docker -NL- ✓ GIT -NL- ✓ Python -NL- ✓ Perl -NL- Service Delivery -NL- ✓ Scala -NL- ✓ JavaScript -NL- Technology Consulting -NL- Testing Frameworks: -NL- ✓ Cucumber -NL- ✓ JUnit -NL- Project Management -NL- ✓ Mockito -NL- ✓ Karate -NL- Stakeholder Management -NL- Build Tools: -NL- ✓ Jenkins -NL- ✓Maven -NL- Centre Of Excellence -NL- ✓ Gradle -NL- **`PERSONAL SKILLS EXPERIENCE`[OTHERS_HEADING]** -NL- **`ECOMMERCE TECH LEAD`[EMPLOYER_ROLE]** | **`YOOX NET-A-PORTER GROUP`[EMPLOYER_COMPANY_NAME]** | JAN 2017 - PRESENT Solutions driven Creativity -NL- & Innovation -NL- ROLES & RESPONSIBILITIES: -NL- Decision Making -NL- YOOX NET-A-PORTER Group is high end fashion e-retailer with global presence -NL- and a sales figure running in double digit millions GBP per day with 6 brands -NL- Client Focused -NL- already boarded the platform and many more to go. Technical, Design Authority -NL- and Support. Responsibilities in my role as Technical Lead includes: -NL- **`DHARAM1503@GMAIL.COM`[EMAILS_EMAIL]** -NL-**` +44 7424 711 239`[PHONES_PHONE]** -NL- www.linkedin.com/in/dharmendra-singh-0501 -NL- Critical Thinking -NL- • Having regular meetings with stakeholders to understand the requirements. -NL- Collaborative -NL- • Creating technical design documents. -NL- • Responsible for search and browse APIs and integrations with third parties. -NL- Competent & Determined • Development of new features and support activities. -NL- • Automation Testing BDD,TDD and Junit. -NL- • Redefining ways of working and guiding team members for quality excellence. -NL- • Implementing Proof of Concepts. -NL- • Hosting applications in AWS in docker container and using S3 bucket for -NL- uploading the data for third parties. -NL- As Technical Lead I was given the task of overcoming the dependency on data for -NL- automation testing as the tests were always dependent on golden data set. I -NL- developed an application using Spring Boot and JPA to inject required data for -NL- automation testing in database as well as SOLR and delete the data once test has -NL- executed. -NL- FURTHER EXPERIENCE -NL- **`SENIOR DEVELOPER `[EMPLOYER_ROLE]**| **`DFS FURNITURE |`[EMPLOYER_COMPANY_NAME]** FEB 2015 – JAN 2017 -NL- ROLES & RESPONSIBILITIES: -NL- DFS is one of the UK’s leading furniture and sofa manufacturing and selling -NL- company. Worked on this project as a senior ecommerce developer. My -NL- responsibilities included: -NL- • Customer journey (search and browse pages, order checkout flow, OMS order -NL- integration). -NL- • Payment integration with WorldPay and PayPal. -NL- • Migration project from WCS 7 to WCS 8. -NL- • Development of new Product Information management (PIM) application & data -NL- Load. -NL- **`ASSOCIATE TECHNICAL MANAGER`[EMPLOYER_ROLE]** | **`HCL TECHNOLOGIES `[EMPLOYER_COMPANY_NAME]**| SEP 2012 – JAN 2015 -NL- HUSQVARNA GROUP: -NL- ROLES & RESPONSIBILITIES: -NL- The Husqvarna Group is a manufacturer of outdoor power products including -NL- robotic mowers, garden tractors, chainsaws and trimmers. Headquartered in -NL- Stockholm, Sweden, the group also produces consumer watering products, cutting -NL- equipment and diamond tools for the construction and stone industries. -NL- • I worked on this project as technical architect. -NL- **`DHARAM1503@GMAIL.COM`[EMAILS_EMAIL]** -NL-**` +44 7424 711 239`[PHONES_PHONE]** -NL- www.linkedin.com/in/dharmendra-singh-0501 -NL- • Taken KT from IBM to support and develop in features in the application. -NL- • Integration with Tivoli Identity Manager and Tivoli Access Manager (TAM). -NL- • Worked on Complicated promotion engine. -NL- • Responsible for leading offshore support team. -NL- PARKER-HANNIFIN: -NL- ROLES & RESPONSIBILITIES: -NL- Parker-Hannifin Corporation, originally Parker Appliance Company, usually -NL- referred to as just Parker, is an American corporation specializing in motion and -NL- control technologies. -NL- • I managed team of 10 developers & testers and was point of contact for offshore -NL- team. -NL- • Worked on end to end development of the project. -NL- • Implemented SEO strategies for the client. -NL- • Created Technical design documents. -NL- • Worked on build and deploy process. -NL- **`SENIOR ASSOCIATE`[EMPLOYER_ROLE]** | **`MARKS & SPENCER`[EMPLOYER_COMPANY_NAME]** | JAN 2012 – SEP 2012 -NL- I worked for marks & spencer project in SapientNitro, It was a migration project -NL- from their legacy system to WebSphere Commerce Server V7. I was involved in -NL- Order Checkout and Search & Browse components. I was also worked on Payment -NL- integration with backend. I was caching and SEO expert in the project. -NL- **`SR. SOFTWARE ENGINEER`[EMPLOYER_ROLE]** | **`GLOBALLOGIC`[EMPLOYER_COMPANY_NAME]** | SEP 2009 – DEC 2011 -NL- While working in GlobalLogic I worked for CrossView – PFSweb who are specialist -NL- in ecommerce in the USA. I worked on their core products. -NL- I also worked for David’s Bridal, it’s a clothier in the United States that specializes in -NL- wedding dresses, prom gowns, and other formal wear. It is the largest American -NL- bridal-store chain. In this project I integrated Amazon orders into WebSphere -NL- Commerce. -NL- **`SOFTWARE ENGINEER `[EMPLOYER_ROLE]**| **`STERIA`[EMPLOYER_COMPANY_NAME]** | BOOTS | JUNE 2007 – SEP 2009 -NL- While working in Steria I worked for client Boots.com. This was the company where -NL- I got placement from college. I have been given training on Java, oracle and -NL- WebSphere Commerce Server. -NL- I worked on development of customer care application using web services in WCS -NL- and SOA, where the CSR can place / amend / cancel orders on behalf of customers. -NL- **`DHARAM1503@GMAIL.COM`[EMAILS_EMAIL]** -NL-**` +44 7424 711 239`[PHONES_PHONE]** -NL- www.linkedin.com/in/dharmendra-singh-0501 -NL- 